<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Intro to Bootstrap</title>

	<!-- bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<link rel="stylesheet" href="./index.css">
<body>
	<h1 class="text-center text-white  bg-danger">Bootstrap Grid System</h1>
	

	<!-- CRC - Container Row Column -->
	<div class="container-fluid">
		<div class="row">

			<!-- A div column can occupy more that 1 column. We may create layouts wherein once div occupies 9 columns and another one occupies 4 columns. But as you may see, it results to 12 columns for our row.

				if a div in a row occupy morethan 12 columns, the row would over flow and put the rest of the divs in the next line.

			syntax to define the number of columns a div will occupy a row:

			col-brealpoint-numberOfColumns (must not exceed 12 to avoid overflow)

			 -->
			<div class="col-md-8 bg-primary border border-dark">
				<p>lLorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
				cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
				proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
			</div>
			<div class="col-md-8 bg-danger border border-dark">
				Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
				cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
				proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
			</div>
		</div>
		<h2 class="text-center">Rows with 2 equal columns</h2>
		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row mt-3">
			<div class="col-6 bg-primary">
				<h2 class="text-center">6columns</h2>
				<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
				cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
				proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
			</div>
			<div class="col-6 bg-danger py-3 border border-dark">
				6columns
			</div>
		</div>
		<h3 class="text-center">1:2 Ratio</h3>
		<div class="row">
			<div class="col-4 bg-success py3 border border-dark">
				4 columns
			</div>
			<div class="col-8 bg-info py-3 border border-dark">
				8 columns
			</div>
		</div>

		<!-- mini-Activity
			 Create a row with columns in 1:3 ratio

			bg color -->
	</div>

<div class="container-fluid">

	<h2 class="text-center">1:3 Ratio</h2>
	<div class="row">
		<div class="col-3 bg-danger border border-dark">
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda illo blanditiis, molestias consequuntur modi non, velit vel tempora, mollitia aliquam iure laboriosam incidunt. Earum architecto enim quasi nisi eaque, animi!</p>
		</div>
		<div class="col-9 bg-warning border border-dark">
			<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Natus voluptatum provident facilis est tempore, voluptatem ducimus recusandae in ad quae accusamus, ipsum molestias laboriosam placeat debitis sapiente voluptates! Nam, aspernatur?</p>
		</div>
		
	</div>

	<h3 class="text-center">1:2:1 Ratio</h3>
	<div class="row">
		<div class="col-3 bg-warning py-3 border border-dark">3 Col</div>
		<div class="col-6 bg-success py-3 border border-dark">6 Col</div>
		<div class="col-3 bg-warning py-3 border border-dark">3 Col</div>
	</div>

	<h2 class="text-center">Autocolumns</h2>
	<!-- auto columns are columns which adjust themselves accordingto the number of columns left in a row -->
	<div class="row">
		<div class="col bg-success py-5 border border-dark">Auto 1</div>
		<div class="col bg-primary py-5 border border-dark">Auto 2</div>
		<div class="col-8 bg-warning py-5 border border-dark">Col 8</div>
		<div class="col bg-danger py-5 border border-dark">Auto 4</div>
		<div class="col bg-secondary py-5 border border-dark">Auto 5</div>
	</div>
	<h3 class="text-center">Rows with uneven columns</h3>
	<div class="row">
		<div class="col-7 bg-success py-5 border border-dark">col 7</div>
		<div class="col-5 bg-primary py-5 border border-dark">col 5</div>
		<div class="col-4 bg-warning py-5 border border-dark">Col 4</div>
		<div class="col-4 bg-danger py-5 border border-dark">Col 4</div>
		<div class="col-4 bg-secondary py-5 border border-dark">Col 4</div>
		<div class="col-4 bg-success py-5 border border-dark">Col 4</div>
		<div class="col-3 bg-primary py-5 border border-dark">Col 3</div>
		<div class="col-1 bg-primary py-5 border border-dark">Col 1</div>
		<div class="col-4 bg-warning py-5 border border-dark">Col 4</div>
		<div class="col-4 bg-danger py-5 border border-dark">Col 4</div>
		<div class="col-4 bg-secondary py-5 border border-dark">Col 4</div>
	</div>
	<h2 class="text-center">Responsive Columns</h2>
	<!-- 
		Breakpoints
		you can set the number of columns a div occupies per screen using breakpoints
		However, by default, from the smallest screen a div with class col will occupy 12 columns

		Breakpoint are the screen or point wherein the number of columns considered changes based on the screen size.

		So from the smallest screen, a div may occupy the whole row but in larger screen it only occupies 6 columns.

		(sm-md-lg-xl)
		default and sm are screen about the smartphones
		md - screen size about the size of regular ipad
		lg - screen size about the size of the desktop/laptop screen
		xl - screen size about the size of a larger desktop/laptop
	 -->

	 <div class="row">
	 	<div class="col-md-4 bg bg-secondary py-3 border border-dark">
	 		4 cols md to lg
	 	</div>
	 	<div class="col-md-6 bg bg-primary py-3 border border-dark">
	 		6 cols md to lg
	 	</div>
	 	<div class="col-md-2 bg bg-danger py-3 border border-dark">
	 		2 cols md to lg
	 	</div>
	 </div>
	 <!-- breakpoints with text alignment -->
	 <h3 class="text-md-center">Breakpoints with Text-alignment</h3>
	 <div class="row">
	 	<div class="col-6 col-md-8 text-md-left bg-success py-3 border border-dark">
	 		div 1
	 	</div>
	 	<div class="col-6 col-md-4 text-md-right bg-warning py-3 border border-dark">
	 		div 2
	 	</div>
	 </div>
	 <!-- img fluid -->
	 <!-- img fluid keeps our picture from over flowing out of its container. It also resizes you picture fit the container -->

	 <h3 class="text-center">Resposive Images</h3>
	 <div class="row">
	 	<div class="col-2 bg-info py-3 border border-dark">
	 		<img class="img-fluid" src="https://images.theconversation.com/files/229974/original/file-20180731-136679-bnupzu.png?ixlib=rb-1.1.0&q=45&auto=format&w=926&fit=clip" alt="kitkat">
	 	</div>

	 	<div class="col-md-8 bg-success py-3 border border-dark">
	 		with img-fluid
	 		<img class="img-fluid" src="https://i.guim.co.uk/img/media/42bec9e038a74f948c708096dac0a5a2ed4d3644/0_330_3500_2100/master/3500.jpg?width=1200&height=900&quality=85&auto=format&fit=crop&s=135036d53fe10881a0f403331abeb6f0" alt="burger">
	 	</div>
	 </div>
	 <!-- img fluid outside a row/col -->
	 <!-- <div class="bg-warning border border-dark">
	 	<img id="image3" class="img-fluid" src="https://i.guim.co.uk/img/media/42bec9e038a74f948c708096dac0a5a2ed4d3644/0_330_3500_2100/master/3500.jpg?width=1200&height=900&quality=85&auto=format&fit=crop&s=135036d53fe10881a0f403331abeb6f0" alt="">
	 </div> -->

	 <h3 class="text-center">Offsetting Columns</h3>
	 <div class="row">
	 	<div class="col-1 bg-secondary border border-dark">1</div>
	 	<div class="col-1 bg-secondary border border-dark">2</div>
	 	<div class="col-1 bg-secondary border border-dark">3</div>
	 	<div class="col-1 bg-secondary border border-dark">4</div>
	 	<div class="col-1 bg-secondary border border-dark">5</div>
	 	<div class="col-1 bg-secondary border border-dark">6</div>
	 	<div class="col-1 bg-secondary border border-dark">7</div>
	 	<div class="col-1 bg-secondary border border-dark">8</div>
	 	<div class="col-1 bg-secondary border border-dark">9</div>
	 	<div class="col-1 bg-secondary border border-dark">10</div>
	 	<div class="col-1 bg-secondary border border-dark">11</div>
	 	<div class="col-1 bg-secondary border border-dark">12</div>
	 </div>
	 <div class="row">
	 	<!-- offsetting also calculates the columns occupied by he divs. If we exeed 12 columns by offsetting, the other div will be overflowed to the next line. -->
	 	<div class="col-4 bg-info py-3 border border-dark">Div 1</div>
	 	<div class="col-2 offset-3 bg-success py-3 border border-dark">Div 2</div>
	 	<div class="col-1 offset-2 bg-danger py-3 border border-dark">Div 3</div>
	 </div>
</div>




	<!-- js dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>

	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>